// Stack.h

class Stack {
public:
    Stack(int s=100);    // sets the default maximum number at 100
    ~Stack();
    char top() const;
    bool is_empty() const;
    bool is_full() const;
    void push(const char);
    char pop();
    void print();
  private:
    char* _a;     // the stack itself: a dynamic array of char
    int _max;     // the maximum number of elements on the stack
    int _count;   // the number of elements on the stack
};

