// Queue

class Queue{
public:
    Queue(int s=100);    // sets the default maximum number at 100
    ~Queue();
    char front() const;
    char back() const;
    bool is_empty() const;
    bool is_full() const;
    void enter(const char);
    char leave();
    void print();
  private:
    char* _a;     // the queue itself: a dynamic array of char
    int _max;     // the maximum number of elements on the queue
    int _count;   // the number of elements on the queue
};

