// Random.h
#include <ctime>

class Random {
public:
    Random(unsigned long = time(NULL));
    void seed(ulong seed=time(0));       // allows client to reset _seed
    void setRandInt(unsigned long);
    void setRandDbl(unsigned long);
    int getRandInt();
    double getRandDbl();
private:
    ulong _seed;         // INVARIANT: 0 <= _seed <= ULONG_MAX
    ulong _randomize();  // resets the seed
};
