//  Fundamentals of Computing with C++ by John R. Hubbard
//  Copyright McGraw-Hill, 1999
//  Example 7.18 on page 154
//  A Stack class

#include <cassert>
#include <iostream>
#include "Queue.h"
#include "Stack.h"


int main() {
    Stack st;
    std::cout << "\nAfter pushing a, b, and c, the stack is ";
    st.push('a');
    st.push('b');
    st.push('c');
    st.print();
    std::cout << "\nAfter leaving the print() function, st.top() = "
              << st.top() << std::endl;
    st.pop();
    std::cout << "\nAfter popping the top off the stack, it is ";
    st.print();

    Queue q1;
    for(int i = 65; i < 91; ++i)
        q1.enter(static_cast<char>(i));
    std::cout << "\nThe queue q1 = ";
    q1.print();\
}
